--- title: "Application Policies List" slug: "application-policies-list" updated: 2025-01-13T09:02:07Z published: 2025-06-23T14:52:52Z canonical: "docs.plainid.io/application-policies-list" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # Application Policies List Get/policy-mgmt/1.0/policies/{envId} This API enables users to obtain a list of Policies associated with a particular Application in a specific Environment. ### Notice Accessing the Policy Management APIs is through a dedicated domain/URL according to your PlainID Tenant Location: `https://api.{REGION}.plainid.io` **United States (US)** - `https://api.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io` Replace `{REGION}` with your PlainID Tenant region (e.g. us1, eu1, ca1, etc.). ### Important note about headers Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool. #### Headers *Required | Header | Value | cURL Line | | --- | --- | --- | | Accept | `application/json` | `-H"Accept: application/json"` | ### cURL Sample Guidelines In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format. ### Using HTML Encoded Special Characters Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list. SecurityHTTPType bearer For more details about Administration API Authentication, check out the Authentication APIs documentation. Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123` Path parametersenvIdstring (uuid) Required The Environment ID can be found under the Details tab in the Environment Settings. Query parametersfilter[appId]string (uuid) Application External ID. This can be found under the Details tab of the Application. limitnumberMinimum1Maximum1000Default50.0 offsetnumberMinimum0Default0.0 Responses200 List of policies Expand Allobject data Array of object (policy) object Example{ "id": "POLS269J5C16H8N4", "name": "policy name", "state": "Active", "accessType": "Allow" }idstring namestring Max length100 statestring Valid values[ "Active", "Inactive" ] accessTypestring Valid values[ "Allow", "Restrict" ] metaobject totalinteger limitinteger offsetinteger 400 appId is missing Expand Allobject codestring idstring statusinteger namestring messagestring argsobject pathstring 403 operation get for resource Application isn't allowed because the current user does not have the appropriate permissions Expand Allobject codestring idstring statusinteger namestring messagestring argsobject pathstring